# $Revision: 1.36 $, $Date: 2008/07/27 22:38:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Tee
Summary:	IO::Tee perl module
Summary(pl.UTF-8):	Moduł perla IO::Tee
Name:		perl-IO-Tee
Version:	0.64
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	97d91e38fcadc1f01d8030a8d4f30701
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Tee - Multiplex output to multiple output handles.

%description -l pl.UTF-8
Moduł perla IO::Tee - powielający wyjście na wiele uchwytów plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Tee.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Tee.spec,v $
Revision 1.36  2008/07/27 22:38:24  arekm
- release 9

Revision 1.35  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:35  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:27  paladine
- formatting

Revision 1.32  2004/05/07 01:24:54  ankry
- rel. 8

Revision 1.31  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 19:57:11  ankry
- added tests

Revision 1.29  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.28  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:33:34  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/09/10 21:27:18  qboosh
- finished pl description, new %%doc, release 6

Revision 1.19  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:17:44  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:27:49  depesz
adapterized

Revision 1.13  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.11  2001/04/17 12:11:08  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/15 10:37:00  mis
- updated (by autoup) to 0.64

Revision 1.8  2000/11/27 05:38:31  kloczek
- relase 4,
- rebuild against perl 5.6
- added using new rpm automation,
- removed .packlist from %files.

Revision 1.7  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
